DECLARE @AllUsers UNIQUEIDENTIFIER = 'A29A3BA5-4B0D-DE11-9A51-005056C00008';
DECLARE @SchemaName NVARCHAR(250) = 'KnowledgeBase';

UPDATE sesor
SET CanRead = 1,
	CanAppend = 1,
	CanEdit = 1,
	CanDelete = 1
FROM SysEntitySchemaOperationRight sesor
JOIN SysSchema ss ON sesor.SubjectSchemaUId = ss.UId
WHERE ss.Name = @SchemaName
	AND ss.ExtendParent = 0
	AND sesor.SysAdminUnitId = @AllUsers;